com.aliyun.svideosdk.common.struct.effect

## Class EffectPicture

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectPicture

- Deprecated.

      @Deprecated
      public class EffectPicture
      extends java.lang.Object

  The image bean Deprecated in v3.27.0,use `EffectImage` instead

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `end` Deprecated. The time when this image disappears.
    `float` | `height` Deprecated. The height of this image relative to the screen resolution.
    `boolean` | `isTrack` Deprecated.
    `boolean` | `mirror` Deprecated. Whether this image is flipped.
    `float` | `rotation` Deprecated. The rotation angle of this image.
    `long` | `start` Deprecated. The time when this image appears.
    `float` | `width` Deprecated. The width of this image relative to the screen resolution.
    `float` | `x` Deprecated. The x coordinate of the centroid of this image relative to the screen resolution.
    `float` | `y` Deprecated. The y coordinate of the centroid of this image relative to the screen resolution.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectPicture(Bitmap bitmap)` Deprecated. Creates an EffectPicture object with a bitmap image.
    `EffectPicture(java.lang.String path)` Deprecated. Creates an EffectPicture object with an image path.
    `EffectPicture(java.lang.String mPicturePath, float x, float y, long start, long end, float width, float height, float rotation, boolean mirror, boolean isTrack)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Deprecated.
    `Bitmap` | `getBitmap()` Deprecated. Gets the bitmap of this image.
    `int` | `getOldId()` Deprecated. Gets the original id of a resource.
    `java.lang.String` | `getPicturePath()` Deprecated. Gets the path of this image.
    `int` | `getViewId()` Deprecated. Gets the id of a resource.
    `void` | `setOldId(int oldId)` Deprecated. Sets the original id of a resource.
    `void` | `setViewId(int vid)` Deprecated. Sets the id of a resource.
    `java.lang.String` | `toString()` Deprecated.
    `TrackEffect<EffectImage>` | `toTrackEffectImage()` Deprecated. Transform to `TrackEffect` bean

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public float x

      Deprecated.
      The x coordinate of the centroid of this image relative to the screen resolution. Valid values: [0, 1]

    - #### y

          public float y

      Deprecated.
      The y coordinate of the centroid of this image relative to the screen resolution. Valid values: [0, 1]

    - #### start

          public long start

      Deprecated.
      The time when this image appears.

    - #### end

          public long end

      Deprecated.
      The time when this image disappears.

    - #### width

          public float width

      Deprecated.
      The width of this image relative to the screen resolution. Valid values: [0, 1]

    - #### height

          public float height

      Deprecated.
      The height of this image relative to the screen resolution. Valid values: [0, 1]

    - #### rotation

          public float rotation

      Deprecated.
      The rotation angle of this image. default 0 from -PI to PI;

    - #### mirror

          public boolean mirror

      Deprecated.
      Whether this image is flipped.

    - #### isTrack

          @Deprecated
          public boolean isTrack

      Deprecated.

  - ### Constructor Detail

    - #### EffectPicture

          public EffectPicture(java.lang.String path)

      Deprecated.
      Creates an EffectPicture object with an image path.
      Parameters:
        `path` - The image path.

    - #### EffectPicture

          public EffectPicture(Bitmap bitmap)

      Deprecated.
      Creates an EffectPicture object with a bitmap image.
      Parameters:
        `bitmap` - The bitmap image.

    - #### EffectPicture

          public EffectPicture(java.lang.String mPicturePath,
                               float x,
                               float y,
                               long start,
                               long end,
                               float width,
                               float height,
                               float rotation,
                               boolean mirror,
                               boolean isTrack)

      Deprecated.

  - ### Method Detail

    - #### getBitmap

          public Bitmap getBitmap()

      Deprecated.
      Gets the bitmap of this image.
      Returns:
        A bitmap object.

    - #### getPicturePath

          public java.lang.String getPicturePath()

      Deprecated.
      Gets the path of this image.
      Returns:
        The image path.

    - #### getViewId

          public int getViewId()

      Deprecated.
      Gets the id of a resource.
      Returns:
        The resource id.

    - #### setViewId

          public void setViewId(int vid)

      Deprecated.
      Sets the id of a resource. It is not recommended to call this method.
      Parameters:
        `vid` - The resource id.

    - #### getOldId

          public int getOldId()

      Deprecated.
      Gets the original id of a resource. This method only applies to resources that are recovered from the draft folder.
      Returns:
        The original resource id.

    - #### setOldId

          public void setOldId(int oldId)

      Deprecated.
      Sets the original id of a resource. It is not recommended to call this method.
      Parameters:
        `oldId` - The original resource id.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### toTrackEffectImage

          public TrackEffect<EffectImage> toTrackEffectImage()

      Deprecated.
      Transform to `TrackEffect` bean

      Added in v3.27.0

      Returns:
      See Also:
        `TrackEffect`